Register a BYO wallet
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x742d35Cc...',
supportedTokens: ['USDC'],
name: '<string>',
metadata: {}
})
};
fetch('https://api.prudra.dev/wallet-infra/byo-wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/byo-wallets"
payload = {
"address": "0x742d35Cc...",
"supportedTokens": ["USDC"],
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/byo-wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x742d35Cc...",
"supportedTokens": [
"USDC"
],
"name": "<string>",
"metadata": {}
}
'{
"id": "byw_abc123",
"address": "0x...",
"chain": "base",
"isActive": true,
"amlStatus": "pending",
"name": "<string>",
"supportedTokens": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "https://api.prudra.dev/problems/payment-limit-reached",
"title": "Plan Limit Reached",
"status": 429,
"detail": "Your plan includes 100 payments per month. You have used 100.",
"limit": 100,
"current": 100,
"upgradeUrl": "https://dashboard.prudra.com/settings/billing"
}Wallets
Register a BYO wallet
Registers an existing EVM wallet address for Prudra monitoring. Prudra never holds custody — it monitors deposits via webhooks.
POST
/
wallet-infra
/
byo-wallets
Register a BYO wallet
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x742d35Cc...',
supportedTokens: ['USDC'],
name: '<string>',
metadata: {}
})
};
fetch('https://api.prudra.dev/wallet-infra/byo-wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/byo-wallets"
payload = {
"address": "0x742d35Cc...",
"supportedTokens": ["USDC"],
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/byo-wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x742d35Cc...",
"supportedTokens": [
"USDC"
],
"name": "<string>",
"metadata": {}
}
'{
"id": "byw_abc123",
"address": "0x...",
"chain": "base",
"isActive": true,
"amlStatus": "pending",
"name": "<string>",
"supportedTokens": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "https://api.prudra.dev/problems/payment-limit-reached",
"title": "Plan Limit Reached",
"status": 429,
"detail": "Your plan includes 100 payments per month. You have used 100.",
"limit": 100,
"current": 100,
"upgradeUrl": "https://dashboard.prudra.com/settings/billing"
}Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Body
application/json

